import * as vue from 'vue';
import { PropType, VNode } from 'vue';
import { SandpackPredefinedTemplate, SandpackThemeProp } from 'sandpack-vue3';

declare const _default: vue.DefineComponent<vue.ExtractPropTypes<{
    /**
     * Sandpack file data
     *
     * 演示文件数据
     */
    files: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Sandpack title
     *
     * 演示标题
     */
    title: StringConstructor;
    /**
     * Sandpack template
     *
     * 演示工程模板
     */
    template: PropType<SandpackPredefinedTemplate | undefined>;
    /**
     * Sandpack options
     *
     * 演示设置
     */
    options: StringConstructor;
    /**
     * Sandpack customSetup
     *
     * 自定义设置
     */
    customSetup: StringConstructor;
    /**
     * Theme
     *
     * 主题
     */
    theme: PropType<SandpackThemeProp | undefined>;
    /**
     * RTL layout
     *
     * RTL 布局
     */
    rtl: BooleanConstructor;
}>, () => (VNode | null)[], {}, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, {}, string, vue.PublicProps, Readonly<vue.ExtractPropTypes<{
    /**
     * Sandpack file data
     *
     * 演示文件数据
     */
    files: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Sandpack title
     *
     * 演示标题
     */
    title: StringConstructor;
    /**
     * Sandpack template
     *
     * 演示工程模板
     */
    template: PropType<SandpackPredefinedTemplate | undefined>;
    /**
     * Sandpack options
     *
     * 演示设置
     */
    options: StringConstructor;
    /**
     * Sandpack customSetup
     *
     * 自定义设置
     */
    customSetup: StringConstructor;
    /**
     * Theme
     *
     * 主题
     */
    theme: PropType<SandpackThemeProp | undefined>;
    /**
     * RTL layout
     *
     * RTL 布局
     */
    rtl: BooleanConstructor;
}>> & Readonly<{}>, {
    rtl: boolean;
}, {}, {}, {}, string, vue.ComponentProvideOptions, true, {}, any>;

export { _default as default };
